Module java.base
Package java.lang.module

## Enum ModuleDescriptor.Exports.Modifier

- java.lang.Object
- - java.lang.Enum<ModuleDescriptor.Exports.Modifier>
  - - java.lang.module.ModuleDescriptor.Exports.Modifier

- All Implemented Interfaces:
    `Serializable`, `Comparable<ModuleDescriptor.Exports.Modifier>`
  Enclosing class:
    ModuleDescriptor.Exports

      public static enum ModuleDescriptor.Exports.Modifier
      extends Enum<ModuleDescriptor.Exports.Modifier>

  A modifier on an exported package.
  Since:
    9
  See Also:
    `ModuleDescriptor.Exports.modifiers()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MANDATED` | The export was implicitly declared in the source of the module declaration.
    `SYNTHETIC` | The export was not explicitly or implicitly declared in the source of the module declaration.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ModuleDescriptor.Exports.Modifier` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ModuleDescriptor.Exports.Modifier[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYNTHETIC

          public static final ModuleDescriptor.Exports.Modifier SYNTHETIC

      The export was not explicitly or implicitly declared in the source of the module declaration.

    - #### MANDATED

          public static final ModuleDescriptor.Exports.Modifier MANDATED

      The export was implicitly declared in the source of the module declaration.

  - ### Method Detail

    - #### values

          public static ModuleDescriptor.Exports.Modifier[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModuleDescriptor.Exports.Modifier c : ModuleDescriptor.Exports.Modifier.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModuleDescriptor.Exports.Modifier valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null